//+------------------------------------------------------------------+
//|                                                         Util.mqh |
//|                                     Copyright 2020, Lethan Corp. |
//|                           https://www.mql5.com/pt/users/14134597 |
//+------------------------------------------------------------------+
#property copyright "Copyright 2020, Lethan Corp."
#property link      "https://www.mql5.com/pt/users/14134597"
#property version   "1.00"

namespace random
{

void seed(int seed=-1)
  {
   if(seed!=-1)
      _RandomSeed=seed;
  }

double random(void)
  {
   double rnd=0;
   while(rnd==0.0 || rnd==1.0)
      rnd=(double)rand()/(SHORT_MAX);

   return(rnd);
  }

int randint(int a, int b)
  {
   int result = 0, low_num = 0, hi_num = 0, min_num=a, max_num=b;

   if(min_num < max_num)
     {
      low_num = min_num;
      hi_num = max_num + 1; // include max_num in output
     }
   else
     {
      low_num = max_num + 1; // include max_num in output
      hi_num = min_num;
     }

   result = (rand() % (hi_num - low_num)) + low_num;
   return(result==max_num?result-1:result);
  }
}
//+------------------------------------------------------------------+
